﻿Imports System.Collections.ObjectModel
Imports System.Collections.Specialized
Imports System.ComponentModel
Imports _4_2_PhoneBook.ViewModel

Class MainWindow
    Implements INotifyPropertyChanged

    Private Sub MainWindow_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded
        AllContacts = New ObservableCollection(Of ContactViewModel)

        For i As Integer = 0 To 4
            AllContacts.Add(New ContactViewModel(New Model.Contact() With {.FirstName = "Sascha" & i, .LastName = "Patschka",
                                                 .Birthday = New Date(1983, 9, 12), .Note = "Eine Notiz", .ContactData = New List(Of Model.ContactData) From {
                                                    New Model.ContactData() With {.Data = "+43 664 1234567", .DataType = Model.EnumContactDataType.Phonenumber}}}))
        Next

        Me.DataContext = Me
    End Sub


    Private _allContacts As ObservableCollection(Of ContactViewModel)
    Public Property AllContacts() As ObservableCollection(Of ContactViewModel)
        Get
            Return _allContacts
        End Get
        Set(ByVal value As ObservableCollection(Of ContactViewModel))
            _allContacts = value
            RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(NameOf(AllContacts)))
        End Set
    End Property


    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
End Class
